package com.cloud.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <pre>
 *  腾讯云COS对象存储配置文件
 * </pre>
 */
@Data
@Component
@ConfigurationProperties(prefix = "cos")
public class CosProperties {

  private String secretId;

  private String secretKey;

  private String bucket;
}
