 

package com.cloud.framework.shiro.exception;

import com.cloud.framework.common.api.ApiCode;
import com.cloud.framework.common.exception.SpringBootPlusException;

/**
 * Shiro配置异常
 *
 * @author cyty
 * @date 2019-09-29
 * @since 1.3.0.RELEASE
 **/
public class ShiroConfigException extends SpringBootPlusException {
	private static final long serialVersionUID = -4573955712491628431L;

	public ShiroConfigException(String message) {
        super(message);
    }

    public ShiroConfigException(Integer errorCode, String message) {
        super(errorCode, message);
    }

    public ShiroConfigException(ApiCode apiCode) {
        super(apiCode);
    }
}
