package com.cloud.framework.util;

import java.util.regex.Matcher;
import java.util.regex.Pattern;

public class RegularUtil {
    private RegularUtil() {
        throw new IllegalStateException("Utility class");
    }

    private static final String HTTP = ".*tp://";
    private static final String HTTPS = ".*tps://";

    /**
     * 转换URL
     * 去除URL的http协议 : http:// & https://
     * @param url
     * @return
     */
    public static String convertUrl(String url) {
        String address;
        Pattern httpCompile = Pattern.compile(HTTP);
        Pattern httpsCompile = Pattern.compile(HTTPS);
        Matcher http = httpCompile.matcher(url);
        address = http.replaceAll("");
        Matcher https = httpsCompile.matcher(address);
        address = https.replaceAll("");
        return address;
    }
}
