package com.cloud.web.commond.enums;

/**
 * @Author sj
 * Date on 2020/9/21  21:33
 * @Version 1.0
 */
public enum PayEnum {

    /**
     * 支付成功
     **/
    PAY_SUCCESS(1,"支付成功"),

    /**
     * 支付失败
     */
    PAY_ERROR(2,"支付失败");


    private Integer state;
    private String message;

    PayEnum(final int code, final String message) {
        this.state = code;
        this.message=message;
    }

    public Integer getState(){
        return this.state;
    }

    public String getMessage(){
        return this.message;
    }
}
