package com.cloud.web.exception;

import com.cloud.framework.common.api.ApiCode;
import lombok.Data;

/**
 * @Author sj
 * Date on 2020/10/21  14:55
 * @Version 1.0
 */
@Data
public class AndroidBusinessException extends RuntimeException {
    private static final long serialVersionUID = 1L;

    //错误信息
    private String msg;

    private ApiCode apiCode;


    public AndroidBusinessException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public AndroidBusinessException(ApiCode apiCode) {
        this.apiCode = apiCode;
    }

    public AndroidBusinessException(String msg, ApiCode apiCode) {
        super(msg);
        this.msg = msg;
        this.apiCode = apiCode;
    }

    public AndroidBusinessException(String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
    }
}
