package com.cloud.web.exception;

import com.cloud.framework.common.api.ApiCode;

/**
 * @Author sj
 * Date on 2020/10/21  14:56
 * @Version 1.0
 * 未知异常
 */
public class AndroidUnknownException extends Exception {
    private static final long serialVersionUID = 1L;

    //错误信息
    private String msg;

    private ApiCode apiCode;


    public AndroidUnknownException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public AndroidUnknownException(ApiCode apiCode) {
        this.apiCode = apiCode;
    }

    public AndroidUnknownException(String msg, ApiCode apiCode) {
        super(msg);
        this.msg = msg;
        this.apiCode = apiCode;
    }

    public AndroidUnknownException(String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
    }
}
