package com.cloud.web.param;

import io.swagger.annotations.ApiModelProperty;
import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.Data;

import java.math.BigDecimal;

/**
 * <pre>
 * 工资记录
 * </pre>
 *
 * @author
 * @date 2022-11-01
 */
@Data
public class AddPayrollRecordsParam {

    @ApiModelProperty("职位id")
    private Integer postId;

    @ApiModelProperty("接收用户id串，逗号拼接")
    private String userIds;

    @ApiModelProperty("用户数量")
    private Integer userNumber;

    @ApiModelProperty("单人工资")
    private BigDecimal payroll;

    @ApiModelProperty("总工资")
    private BigDecimal totalPayroll;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("用户ID")
    @Ignore
    private Long userId;
}
