package com.cloud.web.param;

import com.cloud.framework.core.pagination.AndroidBasePageParam;
import com.cloud.framework.core.validator.constraints.Phone;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
public class IntroUserPageParam extends AndroidBasePageParam {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty("用户手机号")
    @Phone
    @JsonIgnore
    private String phone;
}
