package com.cloud.web.params.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("报名")
public class InsertApplyParam {

    @JsonIgnore
    @ApiModelProperty("用户id")
    private Long userId;

    @ApiModelProperty("职位编号")
    @NotNull
    private Integer postId;

    @ApiModelProperty("公司id")
    @NotNull
    private Integer companyId;
}
