package com.cloud.web.params.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("新增提现记录")
public class InsertDepositParam {

    @JsonIgnore
    @ApiModelProperty("用户id")
    private Integer uid;

    @NotNull(message = "数量")
    @ApiModelProperty("数量")
    private Integer amount;

//    @NotNull(message = "卡号")
//    @ApiModelProperty("卡号")
//    private String bankCard;
//
//    @NotNull(message = "开户行")
//    @ApiModelProperty("开户行")
//    private String bankName;
//
//    @NotNull(message = "银行卡账户名")
//    @ApiModelProperty("银行卡账户名")
//    private String bname ;
//
//    @NotNull(message = "银行预留电话")
//    @ApiModelProperty("银行预留电话")
//    private String bphone;

    @NotNull(message = "code")
    @ApiModelProperty("code")
    private String code;

}
