package com.cloud.web.params.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;


/**
 * @author 石家庄赵子龙
 */
@Data
public class PostLocationParam {

    @ApiModelProperty("上班时间")
    private String openDay;

    @ApiModelProperty("下班时间")
    private String endDay;

    @ApiModelProperty("上班完成打卡时间")
    private String mPunchTime;

    @ApiModelProperty("下班完成打卡时间")
    private String aPunchTime;

    @ApiModelProperty("纬度")
    private String latitude;

    @ApiModelProperty("经度")
    private String longitude;

    @ApiModelProperty("半径")
    private String radius;

    @ApiModelProperty("是否自动打卡 1 否 2 是")
    private Integer isAutoPunch;
}
