package com.cloud.web.params.param;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;


/**
 * @author 石家庄赵子龙
 */
@ApiModel("更新用户详细信息")
@Data
public class UpdateUserParam {

    @ApiModelProperty("头像")
    private MultipartFile headImg;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("性别")
    private Integer sex;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("工作经验")
    private String experience;

    @ApiModelProperty("自我评价")
    private String selfEvaluation;
}
