package com.cloud.web.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

@Data
@ApiModel("用户登录信息返回")
public class LoginUserVo {

    @ApiModelProperty("编号")
    private Integer id;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("头像")
    private String headImg;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("用户昵称")
    private String nickName;

    @ApiModelProperty("用户积分")
    private Integer integral;

    @ApiModelProperty("是否开通会员（1 未开通 2 开通）")
    private Integer isMember;

    @ApiModelProperty("是否是企业号（1 否 2 是）")
    private Integer isCompany;

    @ApiModelProperty("是否实名认证（0 否 1 是）")
    private Integer isUserAuthentication;

    @ApiModelProperty("是否企业认证（0 否 1 是）")
    private Integer isCompanyAuthentication;

}
