package com.cloud.web.vo;

import java.util.Date;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;
import java.io.Serializable;


/**
 * <pre>
 *  查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2021-01-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "ServicerQueryVo对象")
public class ServicerQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    @JsonIgnore
    private Integer id;

    @ApiModelProperty("客服名")
    @JsonIgnore
    private String serviceName;

    @ApiModelProperty("客服电话")
    private String servicePhone;

    @ApiModelProperty("创建者")
    @JsonIgnore
    private String createBy;

    @ApiModelProperty("创建时间")
    @JsonIgnore
    private Date createTime;

    @ApiModelProperty("更新者")
    @JsonIgnore
    private String updateBy;

    @ApiModelProperty("更新时间")
    @JsonIgnore
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @JsonIgnore
    private Boolean deleted;
}