package com.cloud.web.vo;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;


/**
 * <pre>
 *  查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2021-01-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "UserQueryVo对象")
public class UserVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("id")
    private Integer id;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("头像")
    private String headImg;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("备注")
    private String remark;

    @ApiModelProperty("是否拉黑 0 否 1 是")
    private Integer isBlack = 0;
}