package com.cloud.scheduled.exception;

import com.cloud.framework.common.api.ApiCode;

/**
 * @Author sj
 * Date on 2020/10/7  15:30
 * @Version 1.0
 */
public class QuartzRunTimeException extends Exception {
    private static final long serialVersionUID = 1L;

    //错误信息
    private String msg;

    private ApiCode apiCode;


    public QuartzRunTimeException(String msg) {
        super(msg);
        this.msg = msg;
    }

    public QuartzRunTimeException(ApiCode apiCode) {
        this.apiCode = apiCode;
    }

    public QuartzRunTimeException(String msg, ApiCode apiCode) {
        super(msg);
        this.msg = msg;
        this.apiCode = apiCode;
    }

    public QuartzRunTimeException(String msg, Throwable e) {
        super(msg, e);
        this.msg = msg;
    }
}
