

package com.cloud.system.exception;

import com.cloud.framework.common.api.ApiCode;
import com.cloud.framework.common.exception.SpringBootPlusException;

/**
 * 验证码校验异常
 *
 * @author cyty
 * @date 2018-11-08
 */
public class VerificationCodeException extends SpringBootPlusException {
	private static final long serialVersionUID = -2640690119865434398L;

	public VerificationCodeException(String message) {
        super(message);
    }

    public VerificationCodeException(Integer errorCode, String message) {
        super(errorCode, message);
    }

    public VerificationCodeException(ApiCode apiCode) {
        super(apiCode);
    }
}
