

package com.cloud.test;

import com.cloud.StartApplication;
import com.cloud.web.service.WebUpLoadService;
import com.cloud.web.util.QRCodeUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

import javax.imageio.ImageIO;
import java.awt.image.BufferedImage;
import java.io.ByteArrayOutputStream;
import java.io.IOException;
import java.text.ParseException;

/**
 * @author cyty
 * @date 2020/3/16
 **/
@RunWith(SpringRunner.class)
@SpringBootTest(classes = StartApplication.class)
public class BaseTest {

//    @Autowired
//    private ArchivesUserService archivesUserService;
    @Autowired
    private WebUpLoadService webUpLoadService;
    @Test
    public void test() throws ParseException, IOException {
        BufferedImage image = null;
        try {
            image = QRCodeUtil.createImg("http://www.baidu.com");
        } catch (Exception e) {
            e.printStackTrace();
        }
        // 创建输出流
        ByteArrayOutputStream bos = new ByteArrayOutputStream();
        // 将图像输出到输出流中。
        ImageIO.write(image, "jpeg", bos);
        String img = webUpLoadService.uploadToOOS(bos.toByteArray(), null);
        System.out.println(img);
    }
}
