package com.cloud.config.properties;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * <pre>
 *  阿里云OSS对象存储配置文件
 * </pre>
 */
@Data
@Component
@ConfigurationProperties(prefix = "oss")
public class OssProperties {

  private String endpoint;

  private String accessKeyId;

  private String accessKeySecret;

  private String bucket;
}
