package com.cloud.framework.core.annotation;
import java.lang.annotation.*;

@Target({ElementType.METHOD})
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface LuceneUpdate {
    // lucene更新方式
    LuceneType type() default LuceneType.UPDATE;

    enum LuceneType{
        //更新索引
        UPDATE,
        //删除索引
        DELETE,
        //新增索引
        INSERT,
    }
}
