package com.cloud.framework.core.annotation;


import java.lang.annotation.*;

/**
 * @Author sj
 * Date on 2020/11/30  10:15
 * @Version 1.0
 * 表单重复提交token
 */
@Target(ElementType.METHOD)
@Retention(RetentionPolicy.RUNTIME)
@Documented
public @interface RequestSubmitToken {
    /**
     * 默认时间3秒
     */
    int time() default 3 * 1000;
}
