package com.cloud.framework.util;

import com.auth0.jwt.JWT;
import com.auth0.jwt.exceptions.JWTDecodeException;

/**
 * @Description 用户登陆token操作工具
 * @auther 江南烟雨时
 * @create 2019-11-01
 */
public class WxTokenUtil {
    //通过token获取用户id
    public static String getUserId(String wx_token){
        String userId;
        try {
            userId = JWT.decode(wx_token).getAudience().get(0);
        } catch (JWTDecodeException j) {
            throw new RuntimeException("401");
        }
        return userId;
    }
    //通过token获取用户openId
//    public static String getOpenId(String wx_token){
//        String openId;
//        try {
//            openId = JWT.decode(wx_token).getAudience().get(0);
//        } catch (JWTDecodeException j) {
//            throw new RuntimeException("401");
//        }
//        return openId;
//    }

}
