 

package com.cloud.generator.exception;

import com.cloud.framework.common.api.ApiCode;
import com.cloud.framework.common.exception.SpringBootPlusException;

/**
 * 代码生成异常
 *
 * @author cyty
 * @date 2020/3/12
 */
public class GeneratorException extends SpringBootPlusException {
	private static final long serialVersionUID = 2556853577480934761L;

	public GeneratorException(String message) {
        super(message);
    }

    public GeneratorException(Integer errorCode, String message) {
        super(errorCode, message);
    }

    public GeneratorException(ApiCode apiCode) {
        super(apiCode);
    }
}
