package com.cloud.web.commond.enums;

import org.apache.http.annotation.Contract;

/**
 * @Author sj
 * Date on 2020/10/30  16:43
 * @Version 1.0
 * 家庭成员类型
 */
public enum FamilyTypeEnum {

    SELF(0,"本人"),
    FATHER(1,"父亲"),
    MOTHER(2,"母亲"),
    SON(3,"儿子"),
    DAUGHTER(4,"女儿"),
    MATE(5,"配偶"),
    GRAND_SON(6,"孙子"),
    GRAND_DAUGHTER(7,"孙女"),
    SON_MATE(8,"儿子的配偶"),
    DAUGHTER_MATE(9,"女儿的配偶"),
    GRAND_SON_MATE(10,"孙子的配偶"),
    GRAND_DAUGHTER_MATE(11,"孙女的配偶");
    private Integer type;

    private String typeName;

    FamilyTypeEnum(final Integer type, final String typeName) {
        this.type = type;
        this.typeName = typeName;
    }

    public Integer getType() {
        return this.type;
    }
}
