package com.cloud.web.modules.pay.wechat.service;

import com.cloud.web.entity.MemberRecords;

import javax.servlet.http.HttpServletRequest;
import java.util.Map;

/**
 * @Author sj
 * Date on 2020/9/21  20:44
 * @Version 1.0
 */
public interface WeChatPayServices {

    /**
     * 进行微信支付
     * @param pay
     * @param request
     * @return
     */
    Map<String, Object> goWeChatPay(MemberRecords pay, HttpServletRequest request);

    /**
     * 微信支付回调
     * @param request
     * @return
     * @throws Exception
     */
    String weChatNotify(HttpServletRequest request) throws Exception;
}
