package com.cloud.web.modules.send.config;

import lombok.Data;
import org.springframework.boot.context.properties.ConfigurationProperties;
import org.springframework.stereotype.Component;

/**
 * @Author sj
 * Date on 2020/11/16  16:18
 * @Version 1.0
 * 阿里巴巴短信推送
 */
@Data
@Component
@ConfigurationProperties(prefix = "alibaba-note")
public class AlibabaSendProperties {

    private String accessKeyId;

    private String accessKeySecret;

    private String product;

    private String domain;

    private String templateCode;

    private String signature;
}
