package com.cloud.web.param;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;


/**
 * @author 石家庄赵子龙
 */
@Data
public class ApplyParam {

    @ApiModelProperty("id")
    private Integer id;

    private Integer userId;

    @ApiModelProperty("手机号")
    private String phone;

    @ApiModelProperty("头像")
    private String headImg;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("性别")
    private Integer sex;

    @ApiModelProperty("年龄")
    private Integer age;

    @ApiModelProperty("地址")
    private String address;

    @ApiModelProperty("工作经验")
    private String experience;

    @ApiModelProperty("自我评价")
    private String selfEvaluation;

    @ApiModelProperty("是否开通会员（1 未开通 2 开通）")
    private Integer isMember;

    @ApiModelProperty("职位ID")
    private Integer postId;

    @ApiModelProperty("职位名称")
    private String postName;

    @ApiModelProperty("报名时间")
    private Date signUpTime;

    @ApiModelProperty(value = "ip地址")
    private String ipAddress;
}
