package com.cloud.web.param;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.cloud.framework.core.pagination.BasePageOrderParam;

/**
 * <pre>
 * 黑名单记录 分页参数对象
 * </pre>
 *
 * @author zyl
 * @date 2022-11-08
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "黑名单记录分页参数")
public class BlacklistRecordsPageParam extends BasePageOrderParam {
    private static final long serialVersionUID = 1L;
}
