package com.cloud.web.param;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.experimental.Accessors;
import com.cloud.framework.core.pagination.BasePageOrderParam;

/**
 * <pre>
 * 用户实名认证 分页参数对象
 * </pre>
 *
 * @author zyl
 * @date 2022-11-13
 */
@Data
@Accessors(chain = true)
@EqualsAndHashCode(callSuper = true)
@ApiModel(value = "用户实名认证分页参数")
public class CompanyAuthenticationPageParam extends BasePageOrderParam {
    private static final long serialVersionUID = 1L;
}
