package com.cloud.web.params.page;

import com.cloud.framework.core.pagination.AndroidBasePageParam;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
public class MyIntegralPageParam extends AndroidBasePageParam {

    private static final long serialVersionUID = 1L;

    @JsonIgnore
    @ApiModelProperty(hidden = true)
    private Long uid;

    @ApiModelProperty(" 全部 0 抽奖 1 提现 2 推荐奖励 3")
    @NotNull
    private Integer types;

    @ApiModelProperty("开始日期")
    private String beginTime;

    @ApiModelProperty("结束日期")
    private String endTime;
}
