package com.cloud.web.params.page;

import com.cloud.framework.core.pagination.AndroidBasePageParam;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

/**
 * @author 石家庄赵子龙
 */
@Data
public class MyPostPageParam extends AndroidBasePageParam {

    @ApiModelProperty(value = "职位名称")
    private String name;

    @ApiModelProperty(value = "职位类型 全部 0 全职 1 兼职 2")
    private Integer type;

    @ApiModelProperty(value = "地区")
    private String address;

    @ApiModelProperty(value = "用户ID")
    @JsonIgnore
    private Long userId;

    @ApiModelProperty(value = "纬度")
    private String latitude;

    @ApiModelProperty(value = "经度")
    private String longitude;
}
