package com.cloud.web.params.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;


@Data
@ApiModel("企业认证")
public class InsertCompanyAuthenticationParam {

    @ApiModelProperty("企业名称")
    private String companyName;

    @ApiModelProperty("法人")
    private String legalPerson;

    @ApiModelProperty("营业执照")
    private MultipartFile businessLicenseFile;

    @ApiModelProperty("联系人")
    private String contact;

    @ApiModelProperty("联系电话")
    private String contactPhone;

    @ApiModelProperty("联系地址")
    private String contactAddress;

    @ApiModelProperty("userId")
    @JsonIgnore
    private Long userId;
}
