package com.cloud.web.params.param;

import com.cloud.web.vo.FaceVerifyVo;
import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.springframework.web.multipart.MultipartFile;


@Data
@ApiModel("用户实名认证")
public class InsertUserAuthenticationParam {

    @ApiModelProperty("姓名")
    private String realName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty("身份证人像面")
    private MultipartFile beforeImageFile;

    @ApiModelProperty("身份证国徽面")
    private MultipartFile afterImageFile;

    @ApiModelProperty("用户id")
    @JsonIgnore
    private Long userId;

    private FaceVerifyVo metaInfo;

    @ApiModelProperty("身份证人像面")
    @JsonIgnore
    private String beforeImage;

    private String zimVer;
    private String appVersion;
    private String bioMetaInfo;
    private String appName;
    private String deviceType;
    private String osVersion;
    private String sdkVersion;
    private String apdidToken;
    private String deviceModel;

}
