package com.cloud.web.params.param;

import com.fasterxml.jackson.annotation.JsonIgnore;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotNull;

@Data
@ApiModel("定位记录")
public class LocationParam {

    @ApiModelProperty("定位地址")
    @NotNull
    private String address;

    @ApiModelProperty("用户id")
    @JsonIgnore
    private Long userId;
}
