package com.cloud.web.params.param;

import com.cloud.framework.core.validator.constraints.Phone;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.constraints.NotBlank;

/**
 * @author 石家庄赵子龙
 */
@Data
public class UserLoginsParam {

    @ApiModelProperty("电话号码")
    @Phone
    @NotBlank(message = "手机号码不能为空")
    private String phone;

    @ApiModelProperty(value = "密码")
    private String password;

    @ApiModelProperty("验证码")
    private String telCode;
}
