package com.cloud.web.service.async;

import com.cloud.framework.util.SpringContextHolder;
import com.cloud.web.util.RedisUtils;
import lombok.extern.slf4j.Slf4j;
import org.springframework.scheduling.annotation.EnableAsync;
import org.springframework.stereotype.Component;

import java.util.concurrent.ExecutorService;

/**
 * @Author sj
 * Date on 2020/10/11  14:37
 * @Version 1.0
 * 异步方法
 */
@Component
@EnableAsync
@Slf4j
public class BaseAsyncService {

    public static RedisUtils redisUtils = SpringContextHolder.getBean(RedisUtils.class);

    public ExecutorService executorService = SpringContextHolder.getBean("cachedThreadPool");

}
