package com.cloud.web.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * @author 石家庄赵子龙
 */
@Data
public class ApplePayVo {

    private String receiptData;

    @ApiModelProperty(value = "订单号")
    private String transactionID;

    @ApiModelProperty(value = "产品类型 1.企业 2.会员 3.推荐官")
    private Integer productType;

    @ApiModelProperty(value = "产品ID")
    private String productId;

    private Long userId;
}
