package com.cloud.web.vo;


import java.util.Date;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import jdk.nashorn.internal.ir.annotations.Ignore;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;


/**
 * <pre>
 * 黑名单记录 查询结果对象
 * </pre>
 *
 * @author zyl
 * @date 2022-11-08
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "BlacklistRecordsQueryVo对象")
public class BlacklistRecordsQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    @ApiModelProperty("ID")
    private Long id;

    @ApiModelProperty("企业用户id")
    private Integer cUserId;

    @ApiModelProperty("企业用户名")
    @Ignore
    private String cUserName;

    @ApiModelProperty("企业用户名电话")
    @Ignore
    private String cUserPhone;

    @ApiModelProperty("用户id")
    private Integer userId;

    @ApiModelProperty("用户名")
    private String userName;

    @ApiModelProperty("真实姓名")
    private String realName;

    @ApiModelProperty("用户手机号")
    private String userPhone;

    @ApiModelProperty("创建者")
    @Ignore
    private String createBy;

    @ApiModelProperty("创建时间")
    private Date createTime;

    @ApiModelProperty("更新者")
    @Ignore
    private String updateBy;

    @ApiModelProperty("更新时间")
    @Ignore
    private Date updateTime;

    @ApiModelProperty("是否删除")
    @Ignore
    private Boolean deleted;

    @ApiModelProperty("备注")
    private String remark;
}