package com.cloud.web.vo;


import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.experimental.Accessors;

@Data
@Accessors(chain = true)
@ApiModel(value = "身份证信息")
public class IdCardVo {

    @ApiModelProperty("姓名")
    private String realName;

    @ApiModelProperty("身份证号")
    private String idCard;

    @ApiModelProperty(value = "签发机关")
    private String authority;

    @ApiModelProperty(value = "有效期")
    private String timelimit;
}
