package com.cloud.scheduled.vo;

import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.experimental.Accessors;

import java.io.Serializable;
import java.util.Date;


/**
 * <pre>
 * 定时任务日志 查询结果对象
 * </pre>
 *
 * @author sj
 * @date 2020-10-07
 */
@Data
@Accessors(chain = true)
@ApiModel(value = "QuartzLogQueryVo对象")
public class QuartzLogQueryVo implements Serializable {
    private static final long serialVersionUID = 1L;

    private Long id;

    private String beanName;

    private Date createTime;

    private String cronExpression;

    private String exceptionDetail;

    private Boolean isSuccess;

    private String jobName;

    private String methodName;

    private String params;

    private Long time;
}