

package com.cloud.system.service;

import com.cloud.framework.common.service.BaseService;
import com.cloud.framework.core.pagination.Paging;
import com.cloud.system.entity.SysRole;
import com.cloud.system.param.sysrole.SysRolePageParam;
import com.cloud.system.param.sysrole.UpdateSysRolePermissionParam;
import com.cloud.system.vo.SysRoleQueryVo;
import org.springframework.web.multipart.MultipartFile;

import java.io.IOException;
import java.io.Serializable;

/**
 * <pre>
 * 文件上传
 * </pre>
 *
 * @author cyty
 * @since 2019-10-24
 */
public interface UpLoadService  {
    /**
     * 上传文件到腾讯云对象存储
     * @param multipartFile
     * @return
     */
    String upToOss(MultipartFile multipartFile) throws IOException;
    /**
     * 上传文件到阿里云对象存储
     * @param multipartFile
     * @return
     */
    String uploadToOOS(MultipartFile multipartFile) throws IOException;

    String uploadToOOS(byte[] bytes) throws IOException;

     boolean deleteFile(String filePath);
}
